import { StyleSheet, Text, TouchableOpacity, View, ScrollView } from 'react-native'
import React, { useState } from 'react'
import CategorySection from '../components/organisms/Sections/CategorySection'
import RecentNewsSection from '../components/organisms/Sections/TrendingSection'
import RecentPostsSection from '../components/organisms/Sections/RecentPostsSection'

const LandingPage = ({navigation, route}) => {

  
  const [categoryPillState, setcategoryPillState] = useState("all")
  return (
    <View>
      <ScrollView showsHorizontalScrollIndicator={false}>
        {/* 
            Recent News
        */}
        <RecentNewsSection/>
        
        {/* 
          Categories
        */}
        <CategorySection navigation={navigation}/>
        {/* 
          Recent Posts
        */}
        <RecentPostsSection/>
      </ScrollView>
    </View>
  )
}

export default LandingPage

const styles = StyleSheet.create({
  
  
})