export const BASE_URL = `http://newscout.in`;
export const API_VERSION = `api/v1`
export const DOMAIN = `newscout`
export const DOMAIN_PARAM = `?domain=${DOMAIN}`
export const API_TIMEOUT = 1000

export const CURRENT_URL =  `${BASE_URL}/${API_VERSION}`

export const MENUS_URL = `/menus/${DOMAIN_PARAM}`
export const TRENDING_URL = `/trending/${DOMAIN_PARAM}`
export const ARTICLE_SEARCH_URL = `/article/search/${DOMAIN_PARAM}`
export const ARTICLE_SUGGEST_URL = `/suggest/${DOMAIN_PARAM}`
export const CATEGORY_URL = `/categories/${DOMAIN_PARAM}`
export const NOTIFICATIONS_URL = `/notification/${DOMAIN_PARAM}`
export const USER_PROFILE_URL = `/userprofile/${DOMAIN_PARAM}`
export const BOOKMARK_ARTICLE_URL = `/bookmark-articles/bookmark-news-list/${DOMAIN_PARAM}`
export const ARTICLES_URL = (slug) =>  `/articles/${slug}/${DOMAIN_PARAM}`
export const COMMENTS_URL = (articleId) => `/comment/$article_id=${articleId}`