import { StyleSheet, Text, View } from 'react-native'
import React from 'react'
import { ActivityIndicator } from 'react-native-paper'
import colors from '../../../theme/colors'

const LoadingScreen = () => {

  return (
    <View style={styles.container}>
      <ActivityIndicator animating color={colors.primaryColor} size="large"/>
    </View>
  )
}

export default LoadingScreen

const styles = StyleSheet.create({
    container:{
        height: '100%',
        width:"100%",
        justifyContent: 'center',
        alignItems: 'center'
    }
})